
Foreman - Bug #26647

unneeded asset compile for hidden_values.js and lookup_keys.js

04/18/2019 11:20 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6695

  

Description

hidden_values.js is included in the application.js, there is no need to compile it again.

Related issues:

Related to Foreman Remote Execution - Refactor #26689: lookup_keys removed fr... Closed

Related to Foreman Remote Execution - Bug #26690: Job template view fail to r... Duplicate

Associated revisions

Revision a6c051ae - 04/21/2019 07:46 AM - Ohad Levy

fixes #26647 - remove uneeded files from asset compile list

they are already included in application.js

History

#1 - 04/18/2019 11:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6695 added

#2 - 04/21/2019 07:47 AM - Tomer Brisker

- Subject changed from unneeded asset compile for hidden_values.js to unneeded asset compile for hidden_values.js and lookup_keys.js

- Fixed in Releases 1.23.0 added

#3 - 04/21/2019 08:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset a6c051ae37a4970d30fb214b7bcc5691b6e66a31.

#4 - 04/26/2019 11:39 AM - Ondřej Pražák

- Related to Refactor #26689: lookup_keys removed from asset precompilation added

#5 - 04/26/2019 01:01 PM - Ivan Necas

- Related to Bug #26690: Job template view fail to render with Sprockets::Rails::Helper::AssetNotPrecompiled (lookup_keys.js) added

#6 - 08/05/2019 02:33 PM - Tomer Brisker

- Category changed from Web Interface to JavaScript stack
